<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/dic_root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_ffe2efff"
    android:orientation="vertical"
    android:padding="16dp">

    <ImageView
        android:id="@+id/iv_dic_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="16dp"
        android:src="@drawable/ic_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_dic_more"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="16dp"
        android:src="@drawable/ic_dic_more"
        app:layout_constraintBottom_toBottomOf="@id/tv_dic_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_dic_title" />


    <TextView
        android:id="@+id/tv_dic_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="19dp"
        android:text="@string/dic_title"
        android:textColor="@color/main_text_ff1f1724"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/fl_e"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="30dp"
        android:background="@drawable/button_r20_white_bg"
        app:layout_constraintEnd_toStartOf="@id/buttonSearch"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_dic_title">

        <EditText
            android:id="@+id/editTextWord"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent"
            android:gravity="center|start"
            android:hint="@string/dic_et"
            android:imeOptions="actionDone"
            android:inputType="text"
            android:paddingStart="16dp"
            android:paddingTop="8dp"
            android:paddingEnd="16dp"
            android:paddingBottom="8dp" />
    </FrameLayout>


    <TextView
        android:id="@+id/buttonSearch"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/button_r24_blue_bg"
        android:paddingStart="20dp"
        android:paddingTop="7dp"
        android:paddingEnd="20dp"
        android:paddingBottom="7dp"
        android:text="@string/dic_search"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="@id/fl_e"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/fl_e"
        app:layout_constraintTop_toTopOf="@id/fl_e" />


    <FrameLayout
        android:id="@+id/to_url"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:layout_marginBottom="40dp"
        android:minHeight="500dp"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/fl_e">

    </FrameLayout>

    <android.widget.ProgressBar
        android:id="@+id/wiki_progressBar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="@id/to_url"
        app:layout_constraintEnd_toEndOf="@id/to_url"
        app:layout_constraintStart_toStartOf="@id/to_url"
        app:layout_constraintTop_toTopOf="@id/to_url" />
</androidx.constraintlayout.widget.ConstraintLayout>
